/*
 * JBoss, the OpenSource J2EE webOS
 *
 * Distributable under LGPL license.
 * See terms of license at gnu.org.
 */
package org.jboss.test.aop.instanceofannotated;

import org.jboss.aop.advice.Interceptor;
import org.jboss.aop.joinpoint.Invocation;

/**
 *
 * @author <a href="mailto:kabir.khan@jboss.org">Kabir Khan</a>
 * @version $Revision: 1.1.8.2 $
 */
public class CountingInterceptor implements Interceptor
{
   public static int count = 0;
   
   public String getName()
   {
      return "CountingInterceptor";
   }

   public Object invoke(Invocation invocation) throws Throwable
   {
      count++;
      return invocation.invokeNext();
   }
   
   
}
